Routes

Add collection supplemental information

POSThttps://api.insurely.com/insurance-collection/supplement-info

Add supplemental information to a collection. This can be necessary if a collection requires 2 factor authentication. The collection will have the status 'TWO FACTOR PENDING' in this case.

Request

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2023-03-15.

Request Body

collectionIdstring

The collection ID to append supplemental information to

supplementalInformationSupplementInformation

The supplemental information to provide.

Responses

Data collection successfully initiated.

cURL
curl https://api.insurely.com/insurance-collection/supplement-info \
  -H "client-id: <client-id>" \
  -H "Content-Type: application/json" \
  -d '{
  "collectionId": "22e633bc-427d-4f4a-87cf-cfaca04ef351",
  "supplementalInformation": {
    "type": "TWO_FACTOR_CODE",
    "value": "A12345"
  }
}' \
  -X POST